---
## 提供api播放接口【之前播放api可能因为用的人多ip被限制】

```html
<script>
// 建议放在模板 head 标签里面
window.meting_api='https://meting.cxvh.com/?server=:server&type=:type&id=:id&r=:r'
</script>
```

## 在原基础上增加功能
- 正在播放音乐的页面关闭后，其它页面会自动播放
- 当前浏览器打开了一个页面并且在播放音乐，关闭页面，下次访问改站点会自动播放音乐
- 正在播放音乐的页面跳转后，会继续播放音乐

*因为浏览器版本更新导致自动播放权限限制，可在360极速浏览器体验完整功能*

---

<p align="center">
<img src="https://ws4.sinaimg.cn/large/006tKfTcgy1fhu01y9uy7j305k04s3yc.jpg" alt="ADPlayer" width="100">
</p>
<h1 align="center">APlayer</h1>

> Wow, such a lovely HTML5 music player

[![npm](https://img.shields.io/npm/v/aplayer.svg?style=flat-square)](https://www.npmjs.com/package/aplayer)
[![npm](https://img.shields.io/npm/l/aplayer.svg?style=flat-square)](https://github.com/MoePlayer/APlayer/blob/master/LICENSE)
[![npm](https://img.shields.io/npm/dt/aplayer.svg?style=flat-square)](https://www.npmjs.com/package/aplayer)
[![size](https://badge-size.herokuapp.com/MoePlayer/APlayer/master/dist/APlayer.min.js?compression=gzip&style=flat-square)](https://github.com/MoePlayer/APlayer/tree/master/dist)
[![Travis](https://img.shields.io/travis/MoePlayer/APlayer.svg?style=flat-square)](https://travis-ci.org/MoePlayer/APlayer)
[![devDependency Status](https://img.shields.io/david/dev/MoePlayer/aplayer.svg?style=flat-square)](https://david-dm.org/MoePlayer/APlayer#info=devDependencies)
[![donate](https://img.shields.io/badge/$-donate-ff69b4.svg?style=flat-square)](https://github.com/MoePlayer/APlayer#donate)

## Introduction

![image](https://i.imgur.com/JDrJXCr.png)

APlayer is a lovely HTML5 music player.

**APlayer supports:**

-   Media formats - MP4 H.264 (AAC or MP3) - WAVE PCM - Ogg Theora Vorbis
-   Features - Playlist - Lyrics

Using APlayer on your project? [Let me know!](https://github.com/MoePlayer/APlayer/issues/79)

**[Docs](https://aplayer.js.org)**

**[中文文档](https://aplayer.js.org/#/zh-Hans/)**

## Join the Discussion

-   [Telegram Group](https://t.me/adplayer)
-   [QQ Group](https://shang.qq.com/wpa/qunwpa?idkey=bf22213ae0028a82e5adf3f286dfd4f01e0997dc9f1dcd8e831a0a85e799be17): 415835947

## Related Projects

### Plugins

-   [APlayer-Typecho-Plugin](https://github.com/zgq354/APlayer-Typecho-Plugin): Typecho
-   [hexo-tag-aplayer](https://github.com/grzhan/hexo-tag-aplayer): Hexo
-   [Hermit-X(APlayer for WordPress)](https://github.com/liwanglin12/Hermit-X): WordPress
-   [APlayerHandle](https://github.com/kn007/APlayerHandle): WordPress
-   [APlayer_for_Z-BlogPHP](https://github.com/fghrsh/APlayer_for_Z-BlogPHP): Z-BlogPHP
-   [react-aplayer](https://github.com/sabrinaluo/react-aplayer): React
-   [Vue-APlayer](https://github.com/SevenOutman/vue-aplayer): Vue
-   [vue-aplayer](https://github.com/MoeFE/vue-aplayer): Vue
-   [php-aplayer](https://github.com/Daryl-L/php-aplayer): PHP

### Tooling

-   [APlayer-Controler](https://github.com/Mashiro-Sorata/APlayer-Controler): controling tool
-   [MetingJS](https://github.com/metowolf/MetingJS): work with Meting music API
-   Feel free to submit yours in [`Let me know!`](https://github.com/MoePlayer/APlayer/issues/79)

## Who use APlayer?

-   [bilibili](https://www.bilibili.com/): 国内知名的视频弹幕网站
-   [黑客派](https://hacpai.com/): 程序员和设计师的聚集地，一个活跃的小众社区
-   [浙江大学 CC98 论坛](https://zh.wikipedia.org/wiki/CC98%E8%AE%BA%E5%9D%9B): 浙江大学校网内规模最大的论坛，中国各大学中较活跃的 BBS 之一
-   [Jelly Rue](http://jellyrue.com/): Jelly Rue, an indie pop-rock band from Tartu.
-   [Opus](http://www.opusopus.co/): An artist-exploration data visualization application
-   [站长之家](http://www.chinaz.com/15year/index.html): 针对中文站点提供资讯、技术、资源、服务
-   [LLSupport](https://www.lovelivesupport.com/): This site provides a lot of information about LoveLive
-   [歌词千寻](https://www.lrcgc.com/diy): 每日更新的 LRC 歌词网站
-   [iSearch](http://i.oppsu.cn): 一个提供 iTunes 搜索,试听,高清专辑封面获取,查看最新音乐动态等综合性平台
-   [LRC 歌词编辑器](https://github.com/MoeFE/Lyric): 一款非常实用的在线 LRC 歌词编辑器
-   [Аэростатика](https://aerostatica.ru/)
-   [HealthDig](https://healthdig.co): 每天只需两分钟的重点新闻资讯
-   Feel free to submit yours in [`Let me know!`](https://github.com/MoePlayer/APlayer/issues/79)

## Current Premium Sponsors

### Special Sponsors

<a href="https://www.dogecloud.com/?ref=dplayer" target="_blank">
    <img width="222px" src="https://i.imgur.com/BBKXPAp.png">
</a>
<a href="https://console.upyun.com/register/?invite=BkLZ2Xqob" target="_blank">
    <img width="222px" src="https://imgur.com/apG1uKf.png">
</a>

### OpenCollective backers

![](https://opencollective.com/APlayer/backers.svg?width=890)

## Contributors

This project exists thanks to all the people who contribute.

<a href="https://github.com/MoePlayer/APlayer/graphs/contributors"><img src="https://opencollective.com/APlayer/contributors.svg?width=890" /></a>

## Donate

APlayer is an MIT licensed open source project and completely free to use. However, the amount of effort needed to maintain and develop new features for the project is not sustainable without proper financial backing.

## One-time Donations

We accept donations through these channels:

-   [Paypal](https://www.paypal.me/DIYgod)
-   [WeChat Pay](https://i.imgur.com/aq6PtWa.png)
-   [Alipay](https://i.imgur.com/wv1Pj2k.png)
-   Bitcoin: 13CwQLHzPYm2tewNMSJBeArbbRM5NSmCD1

## Recurring Pledges

Recurring pledges come with exclusive perks, e.g. having your name or your company logo listed in the APlayer GitHub repository and this website.

-   Become a backer or sponsor via [OpenCollective](https://opencollective.com/aplayer)
-   E-mail us: i#html.love

## Author

**APlayer** © [DIYgod](https://github.com/DIYgod), Released under the [MIT](./LICENSE) License.<br>
Authored and maintained by DIYgod with help from contributors ([list](https://github.com/DIYgod/APlayer/contributors)).

> [Blog](https://diygod.me) · GitHub [@DIYgod](https://github.com/DIYgod) · Twitter [@DIYgod](https://twitter.com/DIYgod) · Telegram Channel [@awesomeDIYgod](https://t.me/awesomeDIYgod)
